[Axl] minor issues building axl

Joan Picanyol i Puig lists-axl at biaix.org
Wed Apr 1 19:00:30 CEST 2009


* Francis Brosnan Blazquez <francis at aspl.es> [20090401 18:35]:
> Can you provide commands you are using (some examples) to reproduce the
> problem? 

/home/jpicanyol/wd/sources/contrib/axl/configure \
    --prefix=/shared/syst/arm9-linux-abtrack/package/host/aspl.es/axl-0.5.6 \
    --host=armv4tl-unknown-linux-gnu

Attaching config.status & config.log

> I'm trying to build axl from outside top src dir (calling to configure)
> but fails more things than only knife and tests (for example VERSION
> file isn't found).

That might be a regression introduced since 0.5.6 then. I just build
succesfully adding  --disable-axl-knife --disable-axl-test to the
configure invocation.

> In the other hand, why not just use? 
> 
> cd DIRECTORY; ./configure ; make clean ; make ; cd -

In my continuous integration infraestructure sources are exported
read-only to build hosts. This is particularly useful in cross-compiling
environments.

tks
-- 
pica
-------------- next part --------------
#! /bin/sh
# Generated by configure.
# Run this file to recreate the current configuration.
# Compiler output produced by configure, useful for debugging
# configure, is in config.log if it exists.

debug=false
ac_cs_recheck=false
ac_cs_silent=false
SHELL=${CONFIG_SHELL-/bin/sh}
## --------------------- ##
## M4sh Initialization.  ##
## --------------------- ##

# Be more Bourne compatible
DUALCASE=1; export DUALCASE # for MKS sh
if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
  emulate sh
  NULLCMD=:
  # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
  # is contrary to our usage.  Disable this feature.
  alias -g '${1+"$@"}'='"$@"'
  setopt NO_GLOB_SUBST
else
  case `(set -o) 2>/dev/null` in
  *posix*) set -o posix ;;
esac

fi




# PATH needs CR
# Avoid depending upon Character Ranges.
as_cr_letters='abcdefghijklmnopqrstuvwxyz'
as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
as_cr_Letters=$as_cr_letters$as_cr_LETTERS
as_cr_digits='0123456789'
as_cr_alnum=$as_cr_Letters$as_cr_digits

# The user is always right.
if test "${PATH_SEPARATOR+set}" != set; then
  echo "#! /bin/sh" >conf$$.sh
  echo  "exit 0"   >>conf$$.sh
  chmod +x conf$$.sh
  if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
    PATH_SEPARATOR=';'
  else
    PATH_SEPARATOR=:
  fi
  rm -f conf$$.sh
fi

# Support unset when possible.
if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
  as_unset=unset
else
  as_unset=false
fi


# IFS
# We need space, tab and new line, in precisely that order.  Quoting is
# there to prevent editors from complaining about space-tab.
# (If _AS_PATH_WALK were called with IFS unset, it would disable word
# splitting by setting IFS to empty value.)
as_nl='
'
IFS=" ""	$as_nl"

# Find who we are.  Look in the path if we contain no directory separator.
case $0 in
  *[\\/]* ) as_myself=$0 ;;
  *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
  test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
done
IFS=$as_save_IFS

     ;;
esac
# We did not find ourselves, most probably we were run as `sh COMMAND'
# in which case we are not to be found in the path.
if test "x$as_myself" = x; then
  as_myself=$0
fi
if test ! -f "$as_myself"; then
  echo "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2
  { (exit 1); exit 1; }
fi

# Work around bugs in pre-3.0 UWIN ksh.
for as_var in ENV MAIL MAILPATH
do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
done
PS1='$ '
PS2='> '
PS4='+ '

# NLS nuisances.
for as_var in \
  LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
  LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
  LC_TELEPHONE LC_TIME
do
  if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
    eval $as_var=C; export $as_var
  else
    ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
  fi
done

# Required to use basename.
if expr a : '\(a\)' >/dev/null 2>&1 &&
   test "X`expr 00001 : '.*\(...\)'`" = X001; then
  as_expr=expr
else
  as_expr=false
fi

if (basename -- /) >/dev/null 2>&1 && test "X`basename -- / 2>&1`" = "X/"; then
  as_basename=basename
else
  as_basename=false
fi


# Name of the executable.
as_me=`$as_basename -- "$0" ||
$as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
	 X"$0" : 'X\(//\)$' \| \
	 X"$0" : 'X\(/\)' \| . 2>/dev/null ||
echo X/"$0" |
    sed '/^.*\/\([^/][^/]*\)\/*$/{
	    s//\1/
	    q
	  }
	  /^X\/\(\/\/\)$/{
	    s//\1/
	    q
	  }
	  /^X\/\(\/\).*/{
	    s//\1/
	    q
	  }
	  s/.*/./; q'`

# CDPATH.
$as_unset CDPATH



  as_lineno_1=$LINENO
  as_lineno_2=$LINENO
  test "x$as_lineno_1" != "x$as_lineno_2" &&
  test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2" || {

  # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
  # uniformly replaced by the line number.  The first 'sed' inserts a
  # line-number line after each line using $LINENO; the second 'sed'
  # does the real work.  The second script uses 'N' to pair each
  # line-number line with the line containing $LINENO, and appends
  # trailing '-' during substitution so that $LINENO is not a special
  # case at line end.
  # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
  # scripts with optimization help from Paolo Bonzini.  Blame Lee
  # E. McMahon (1931-1989) for sed's syntax.  :-)
  sed -n '
    p
    /[$]LINENO/=
  ' <$as_myself |
    sed '
      s/[$]LINENO.*/&-/
      t lineno
      b
      :lineno
      N
      :loop
      s/[$]LINENO\([^'$as_cr_alnum'_].*\n\)\(.*\)/\2\1\2/
      t loop
      s/-\n.*//
    ' >$as_me.lineno &&
  chmod +x "$as_me.lineno" ||
    { echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2
   { (exit 1); exit 1; }; }

  # Don't try to exec as it changes $[0], causing all sort of problems
  # (the dirname of $[0] is not the place where we might find the
  # original and so on.  Autoconf is especially sensitive to this).
  . "./$as_me.lineno"
  # Exit status is that of the last command.
  exit
}


if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then
  as_dirname=dirname
else
  as_dirname=false
fi

ECHO_C= ECHO_N= ECHO_T=
case `echo -n x` in
-n*)
  case `echo 'x\c'` in
  *c*) ECHO_T='	';;	# ECHO_T is single tab character.
  *)   ECHO_C='\c';;
  esac;;
*)
  ECHO_N='-n';;
esac

if expr a : '\(a\)' >/dev/null 2>&1 &&
   test "X`expr 00001 : '.*\(...\)'`" = X001; then
  as_expr=expr
else
  as_expr=false
fi

rm -f conf$$ conf$$.exe conf$$.file
if test -d conf$$.dir; then
  rm -f conf$$.dir/conf$$.file
else
  rm -f conf$$.dir
  mkdir conf$$.dir
fi
echo >conf$$.file
if ln -s conf$$.file conf$$ 2>/dev/null; then
  as_ln_s='ln -s'
  # ... but there are two gotchas:
  # 1) On MSYS, both `ln -s file dir' and `ln file dir' fail.
  # 2) DJGPP < 2.04 has no symlinks; `ln -s' creates a wrapper executable.
  # In both cases, we have to default to `cp -p'.
  ln -s conf$$.file conf$$.dir 2>/dev/null && test ! -f conf$$.exe ||
    as_ln_s='cp -p'
elif ln conf$$.file conf$$ 2>/dev/null; then
  as_ln_s=ln
else
  as_ln_s='cp -p'
fi
rm -f conf$$ conf$$.exe conf$$.dir/conf$$.file conf$$.file
rmdir conf$$.dir 2>/dev/null

if mkdir -p . 2>/dev/null; then
  as_mkdir_p=:
else
  test -d ./-p && rmdir ./-p
  as_mkdir_p=false
fi

if test -x / >/dev/null 2>&1; then
  as_test_x='test -x'
else
  if ls -dL / >/dev/null 2>&1; then
    as_ls_L_option=L
  else
    as_ls_L_option=
  fi
  as_test_x='
    eval sh -c '\''
      if test -d "$1"; then
        test -d "$1/.";
      else
	case $1 in
        -*)set "./$1";;
	esac;
	case `ls -ld'$as_ls_L_option' "$1" 2>/dev/null` in
	???[sx]*):;;*)false;;esac;fi
    '\'' sh
  '
fi
as_executable_p=$as_test_x

# Sed expression to map a string onto a valid CPP name.
as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"

# Sed expression to map a string onto a valid variable name.
as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"


exec 6>&1

# Save the log message, to keep $[0] and so on meaningful, and to
# report actual input values of CONFIG_FILES etc. instead of their
# values after options handling.
ac_log="
This file was extended by $as_me, which was
generated by GNU Autoconf 2.61.  Invocation command line was

  CONFIG_FILES    = $CONFIG_FILES
  CONFIG_HEADERS  = $CONFIG_HEADERS
  CONFIG_LINKS    = $CONFIG_LINKS
  CONFIG_COMMANDS = $CONFIG_COMMANDS
  $ $0 $@

on `(hostname || uname -n) 2>/dev/null | sed 1q`
"

# Files that config.status was made for.
config_files=" Makefile src/Makefile ns/Makefile doc/Makefile doc/axl-doc.doxygen babel/Makefile test/Makefile knife/Makefile axl.pc axl-ns.pc axl-babel.pc"
config_headers=" config.h"
config_commands=" depfiles axl_config.h"

ac_cs_usage="\
\`$as_me' instantiates files from templates according to the
current configuration.

Usage: $0 [OPTIONS] [FILE]...

  -h, --help       print this help, then exit
  -V, --version    print version number and configuration settings, then exit
  -q, --quiet      do not print progress messages
  -d, --debug      don't remove temporary files
      --recheck    update $as_me by reconfiguring in the same conditions
  --file=FILE[:TEMPLATE]
		   instantiate the configuration file FILE
  --header=FILE[:TEMPLATE]
		   instantiate the configuration header FILE

Configuration files:
$config_files

Configuration headers:
$config_headers

Configuration commands:
$config_commands

Report bugs to <bug-autoconf at gnu.org>."

ac_cs_version="\
config.status
configured by /home/jpicanyol/wd/sources/contrib/axl/configure, generated by GNU Autoconf 2.61,
  with options \"'--prefix=/shared/syst/arm9-linux-abtrack/package/host/aspl.es/axl-0.5.6' '--host=armv4tl-unknown-linux-gnu' 'host_alias=armv4tl-unknown-linux-gnu'\"

Copyright (C) 2006 Free Software Foundation, Inc.
This config.status script is free software; the Free Software Foundation
gives unlimited permission to copy, distribute and modify it."

ac_pwd='/var/tmp/build'
srcdir='/home/jpicanyol/wd/sources/contrib/axl'
INSTALL='/usr/bin/install -c'
# If no file are specified by the user, then we need to provide default
# value.  By we need to know if files were specified by the user.
ac_need_defaults=:
while test $# != 0
do
  case $1 in
  --*=*)
    ac_option=`expr "X$1" : 'X\([^=]*\)='`
    ac_optarg=`expr "X$1" : 'X[^=]*=\(.*\)'`
    ac_shift=:
    ;;
  *)
    ac_option=$1
    ac_optarg=$2
    ac_shift=shift
    ;;
  esac

  case $ac_option in
  # Handling of the options.
  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
    ac_cs_recheck=: ;;
  --version | --versio | --versi | --vers | --ver | --ve | --v | -V )
    echo "$ac_cs_version"; exit ;;
  --debug | --debu | --deb | --de | --d | -d )
    debug=: ;;
  --file | --fil | --fi | --f )
    $ac_shift
    CONFIG_FILES="$CONFIG_FILES $ac_optarg"
    ac_need_defaults=false;;
  --header | --heade | --head | --hea )
    $ac_shift
    CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
    ac_need_defaults=false;;
  --he | --h)
    # Conflict between --help and --header
    { echo "$as_me: error: ambiguous option: $1
Try \`$0 --help' for more information." >&2
   { (exit 1); exit 1; }; };;
  --help | --hel | -h )
    echo "$ac_cs_usage"; exit ;;
  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
  | -silent | --silent | --silen | --sile | --sil | --si | --s)
    ac_cs_silent=: ;;

  # This is an error.
  -*) { echo "$as_me: error: unrecognized option: $1
Try \`$0 --help' for more information." >&2
   { (exit 1); exit 1; }; } ;;

  *) ac_config_targets="$ac_config_targets $1"
     ac_need_defaults=false ;;

  esac
  shift
done

ac_configure_extra_args=

if $ac_cs_silent; then
  exec 6>/dev/null
  ac_configure_extra_args="$ac_configure_extra_args --silent"
fi

if $ac_cs_recheck; then
  echo "running CONFIG_SHELL=/bin/sh /bin/sh /home/jpicanyol/wd/sources/contrib/axl/configure " '--prefix=/shared/syst/arm9-linux-abtrack/package/host/aspl.es/axl-0.5.6' '--host=armv4tl-unknown-linux-gnu' 'host_alias=armv4tl-unknown-linux-gnu' $ac_configure_extra_args " --no-create --no-recursion" >&6
  CONFIG_SHELL=/bin/sh
  export CONFIG_SHELL
  exec /bin/sh "/home/jpicanyol/wd/sources/contrib/axl/configure" '--prefix=/shared/syst/arm9-linux-abtrack/package/host/aspl.es/axl-0.5.6' '--host=armv4tl-unknown-linux-gnu' 'host_alias=armv4tl-unknown-linux-gnu' $ac_configure_extra_args --no-create --no-recursion
fi

exec 5>>config.log
{
  echo
  sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
## Running $as_me. ##
_ASBOX
  echo "$ac_log"
} >&5

#
# INIT-COMMANDS
#
AMDEP_TRUE="" ac_aux_dir="/home/jpicanyol/wd/sources/contrib/axl/."


# Check size of void pointer against the size of a single
# integer. This will allow us to know if we can cast directly a
# integer to pointer and viceversa.
case 4 in
4)  	pti_cast=''        ptui_cast=''                ;;
4) 	pti_cast='(long)'  ptui_cast='(unsigned long)' ;;
*) 			pti_unknown_void_p=yes                         ;;
esac

# Get current configure for the platform and the os we are running.
case armv4tl-unknown-linux-gnu in
  *-*-beos*)
    axl_platform="#define AXL_OS_BEOS (1)"
    ;;
  *-*-cygwin*)
    axl_platform="#define AXL_OS_UNIX (1)
#define AXL_PLATFORM_WIN32 (1)
#define AXL_WITH_CYGWIN (1)"
    ;;
  *-*-mingw*)
    axl_platform="#define AXL_OS_WIN32 (1)
#define AXL_PLATFORM_WIN32 (1)"
    ;;
  *)
    axl_platform="#define AXL_OS_UNIX (1)"
    ;;
esac

case yes in
yes)
     vasprintf_status="/**
 * @internal Allows to now if the platform support vasprintf
 * function. Do not use this macro as it is supposed to be for
 * internal use.
 */
#define AXL_HAVE_VASPRINTF (1)"
     ;;
no)
     vasprintf_status=""
     ;;
esac




# Handling of arguments.
for ac_config_target in $ac_config_targets
do
  case $ac_config_target in
    "config.h") CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
    "depfiles") CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
    "axl_config.h") CONFIG_COMMANDS="$CONFIG_COMMANDS axl_config.h" ;;
    "Makefile") CONFIG_FILES="$CONFIG_FILES Makefile" ;;
    "src/Makefile") CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
    "ns/Makefile") CONFIG_FILES="$CONFIG_FILES ns/Makefile" ;;
    "doc/Makefile") CONFIG_FILES="$CONFIG_FILES doc/Makefile" ;;
    "doc/axl-doc.doxygen") CONFIG_FILES="$CONFIG_FILES doc/axl-doc.doxygen" ;;
    "babel/Makefile") CONFIG_FILES="$CONFIG_FILES babel/Makefile" ;;
    "test/Makefile") CONFIG_FILES="$CONFIG_FILES test/Makefile" ;;
    "knife/Makefile") CONFIG_FILES="$CONFIG_FILES knife/Makefile" ;;
    "axl.pc") CONFIG_FILES="$CONFIG_FILES axl.pc" ;;
    "axl-ns.pc") CONFIG_FILES="$CONFIG_FILES axl-ns.pc" ;;
    "axl-babel.pc") CONFIG_FILES="$CONFIG_FILES axl-babel.pc" ;;

  *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
   { (exit 1); exit 1; }; };;
  esac
done


# If the user did not use the arguments to specify the items to instantiate,
# then the envvar interface is used.  Set only those that are not.
# We use the long form for the default assignment because of an extremely
# bizarre bug on SunOS 4.1.3.
if $ac_need_defaults; then
  test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
  test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
  test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
fi

# Have a temporary directory for convenience.  Make it in the build tree
# simply because there is no reason against having it here, and in addition,
# creating and moving files from /tmp can sometimes cause problems.
# Hook for its removal unless debugging.
# Note that there is a small window in which the directory will not be cleaned:
# after its creation but before its name has been assigned to `$tmp'.
$debug ||
{
  tmp=
  trap 'exit_status=$?
  { test -z "$tmp" || test ! -d "$tmp" || rm -fr "$tmp"; } && exit $exit_status
' 0
  trap '{ (exit 1); exit 1; }' 1 2 13 15
}
# Create a (secure) tmp directory for tmp files.

{
  tmp=`(umask 077 && mktemp -d "./confXXXXXX") 2>/dev/null` &&
  test -n "$tmp" && test -d "$tmp"
}  ||
{
  tmp=./conf$$-$RANDOM
  (umask 077 && mkdir "$tmp")
} ||
{
   echo "$me: cannot create a temporary directory in ." >&2
   { (exit 1); exit 1; }
}

#
# Set up the sed scripts for CONFIG_FILES section.
#

# No need to generate the scripts if there are no CONFIG_FILES.
# This happens for instance when ./config.status config.h
if test -n "$CONFIG_FILES"; then

cat >"$tmp/subs-1.sed" <<\CEOF
/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
s, at SHELL@,|#_!!_#|/bin/sh,g
s, at PATH_SEPARATOR@,|#_!!_#|:,g
s, at PACKAGE_NAME@,|#_!!_#|,g
s, at PACKAGE_TARNAME@,|#_!!_#|,g
s, at PACKAGE_VERSION@,|#_!!_#|,g
s, at PACKAGE_STRING@,|#_!!_#|,g
s, at PACKAGE_BUGREPORT@,|#_!!_#|,g
s, at exec_prefix@,|#_!!_#|${prefix},g
s, at prefix@,|#_!!_#|/shared/syst/arm9-linux-abtrack/package/host/aspl.es/axl-0.5.6,g
s, at program_transform_name@,|#_!!_#|s\,x\,x\,,g
s, at bindir@,|#_!!_#|${exec_prefix}/bin,g
s, at sbindir@,|#_!!_#|${exec_prefix}/sbin,g
s, at libexecdir@,|#_!!_#|${exec_prefix}/libexec,g
s, at datarootdir@,|#_!!_#|${prefix}/share,g
s, at datadir@,|#_!!_#|${datarootdir},g
s, at sysconfdir@,|#_!!_#|${prefix}/etc,g
s, at sharedstatedir@,|#_!!_#|${prefix}/com,g
s, at localstatedir@,|#_!!_#|${prefix}/var,g
s, at includedir@,|#_!!_#|${prefix}/include,g
s, at oldincludedir@,|#_!!_#|/usr/include,g
s, at docdir@,|#_!!_#|${datarootdir}/doc/${PACKAGE},g
s, at infodir@,|#_!!_#|${datarootdir}/info,g
s, at htmldir@,|#_!!_#|${docdir},g
s, at dvidir@,|#_!!_#|${docdir},g
s, at pdfdir@,|#_!!_#|${docdir},g
s, at psdir@,|#_!!_#|${docdir},g
s, at libdir@,|#_!!_#|${exec_prefix}/lib,g
s, at localedir@,|#_!!_#|${datarootdir}/locale,g
s, at mandir@,|#_!!_#|${datarootdir}/man,g
s, at DEFS@,|#_!!_#|-DHAVE_CONFIG_H,g
s, at ECHO_C@,|#_!!_#|,g
s, at ECHO_N@,|#_!!_#|-n,g
s, at ECHO_T@,|#_!!_#|,g
s, at LIBS@,|#_!!_#|,g
s, at build_alias@,|#_!!_#|,g
s, at host_alias@,|#_!!_#|armv4tl-unknown-linux-gnu,g
s, at target_alias@,|#_!!_#|,g
s, at AXL_VERSION@,|#_!!_#|,g
s, at INSTALL_PROGRAM@,|#_!!_#|${INSTALL},g
s, at INSTALL_SCRIPT@,|#_!!_#|${INSTALL},g
s, at INSTALL_DATA@,|#_!!_#|${INSTALL} -m 644,g
s, at CYGPATH_W@,|#_!!_#|echo,g
s, at PACKAGE@,|#_!!_#|axl,g
s, at VERSION@,|#_!!_#|,g
s, at ACLOCAL@,|#_!!_#|${SHELL} /home/jpicanyol/wd/sources/contrib/axl/missing --run aclocal-1.9,g
s, at AUTOCONF@,|#_!!_#|${SHELL} /home/jpicanyol/wd/sources/contrib/axl/missing --run autoconf,g
s, at AUTOMAKE@,|#_!!_#|${SHELL} /home/jpicanyol/wd/sources/contrib/axl/missing --run automake-1.9,g
s, at AUTOHEADER@,|#_!!_#|${SHELL} /home/jpicanyol/wd/sources/contrib/axl/missing --run autoheader,g
s, at MAKEINFO@,|#_!!_#|${SHELL} /home/jpicanyol/wd/sources/contrib/axl/missing --run makeinfo,g
s, at install_sh@,|#_!!_#|/home/jpicanyol/wd/sources/contrib/axl/install-sh,g
s, at STRIP@,|#_!!_#|strip,g
s, at INSTALL_STRIP_PROGRAM@,|#_!!_#|${SHELL} $(install_sh) -c -s,g
s, at mkdir_p@,|#_!!_#|mkdir -p --,g
s, at AWK@,|#_!!_#|mawk,g
s, at SET_MAKE@,|#_!!_#|,g
s, at am__leading_dot@,|#_!!_#|.,g
s, at AMTAR@,|#_!!_#|${SHELL} /home/jpicanyol/wd/sources/contrib/axl/missing --run tar,g
s, at am__tar@,|#_!!_#|${AMTAR} chof - "$$tardir",g
s, at am__untar@,|#_!!_#|${AMTAR} xf -,g
s, at MAINTAINER_MODE_TRUE@,|#_!!_#|#,g
s, at MAINTAINER_MODE_FALSE@,|#_!!_#|,g
s, at MAINT@,|#_!!_#|#,g
s, at CC@,|#_!!_#|gcc,g
s, at CFLAGS@,|#_!!_#|-g -O2,g
s, at LDFLAGS@,|#_!!_#|,g
s, at CPPFLAGS@,|#_!!_#|,g
s, at ac_ct_CC@,|#_!!_#|gcc,g
s, at EXEEXT@,|#_!!_#|,g
s, at OBJEXT@,|#_!!_#|o,g
s, at DEPDIR@,|#_!!_#|.deps,g
s, at am__include@,|#_!!_#|include,g
s, at am__quote@,|#_!!_#|,g
s, at AMDEP_TRUE@,|#_!!_#|,g
s, at AMDEP_FALSE@,|#_!!_#|#,g
s, at AMDEPBACKSLASH@,|#_!!_#|\\,g
s, at CCDEPMODE@,|#_!!_#|depmode=gcc3,g
s, at am__fastdepCC_TRUE@,|#_!!_#|,g
s, at am__fastdepCC_FALSE@,|#_!!_#|#,g
s, at CPP@,|#_!!_#|gcc -E,g
s, at GREP@,|#_!!_#|/bin/grep,g
s, at EGREP@,|#_!!_#|/bin/grep -E,g
s, at build@,|#_!!_#|i686-pc-linux-gnu,g
s, at build_cpu@,|#_!!_#|i686,g
s, at build_vendor@,|#_!!_#|pc,g
s, at build_os@,|#_!!_#|linux-gnu,g
s, at host@,|#_!!_#|armv4tl-unknown-linux-gnu,g
s, at host_cpu@,|#_!!_#|armv4tl,g
s, at host_vendor@,|#_!!_#|unknown,g
s, at host_os@,|#_!!_#|linux-gnu,g
s, at SED@,|#_!!_#|/bin/sed,g
s, at LN_S@,|#_!!_#|ln -s,g
s, at ECHO@,|#_!!_#|echo,g
s, at AR@,|#_!!_#|ar,g
s, at RANLIB@,|#_!!_#|ranlib,g
s, at DSYMUTIL@,|#_!!_#|,g
s, at NMEDIT@,|#_!!_#|,g
s, at CXX@,|#_!!_#|g++,g
CEOF
cat >"$tmp/subs-2.sed" <<\CEOF
/@[a-zA-Z_][a-zA-Z_0-9]*@/!b end
s, at CXXFLAGS@,|#_!!_#|,g
s, at ac_ct_CXX@,|#_!!_#|,g
s, at CXXDEPMODE@,|#_!!_#|depmode=none,g
s, at am__fastdepCXX_TRUE@,|#_!!_#|#,g
s, at am__fastdepCXX_FALSE@,|#_!!_#|,g
s, at CXXCPP@,|#_!!_#|,g
s, at F77@,|#_!!_#|,g
s, at FFLAGS@,|#_!!_#|,g
s, at ac_ct_F77@,|#_!!_#|,g
s, at LIBTOOL@,|#_!!_#|$(SHELL) $(top_builddir)/libtool,g
s, at DOXYGEN@,|#_!!_#|no,g
s, at ENABLE_AF_ARCH_DOC_TRUE@,|#_!!_#|#,g
s, at ENABLE_AF_ARCH_DOC_FALSE@,|#_!!_#|,g
s, at ENABLE_AXL_TESTS_TRUE@,|#_!!_#|,g
s, at ENABLE_AXL_TESTS_FALSE@,|#_!!_#|#,g
s, at ENABLE_AXL_NS_TRUE@,|#_!!_#|,g
s, at ENABLE_AXL_NS_FALSE@,|#_!!_#|#,g
s, at ENABLE_AXL_LOG_TRUE@,|#_!!_#|,g
s, at ENABLE_AXL_LOG_FALSE@,|#_!!_#|#,g
s, at ENABLE_AXL_KNIFE_TRUE@,|#_!!_#|,g
s, at ENABLE_AXL_KNIFE_FALSE@,|#_!!_#|#,g
s, at ENABLE_AXL_BABEL_TRUE@,|#_!!_#|,g
s, at ENABLE_AXL_BABEL_FALSE@,|#_!!_#|#,g
s, at EXARG_FLAGS@,|#_!!_#|-DHAVE_VASPRINTF ,g
s, at LIBOBJS@,|#_!!_#|,g
s, at LTLIBOBJS@,|#_!!_#|,g
:end
s/|#_!!_#|//g
CEOF
fi # test -n "$CONFIG_FILES"


for ac_tag in  :F $CONFIG_FILES  :H $CONFIG_HEADERS    :C $CONFIG_COMMANDS
do
  case $ac_tag in
  :[FHLC]) ac_mode=$ac_tag; continue;;
  esac
  case $ac_mode$ac_tag in
  :[FHL]*:*);;
  :L* | :C*:*) { { echo "$as_me:$LINENO: error: Invalid tag $ac_tag." >&5
echo "$as_me: error: Invalid tag $ac_tag." >&2;}
   { (exit 1); exit 1; }; };;
  :[FH]-) ac_tag=-:-;;
  :[FH]*) ac_tag=$ac_tag:$ac_tag.in;;
  esac
  ac_save_IFS=$IFS
  IFS=:
  set x $ac_tag
  IFS=$ac_save_IFS
  shift
  ac_file=$1
  shift

  case $ac_mode in
  :L) ac_source=$1;;
  :[FH])
    ac_file_inputs=
    for ac_f
    do
      case $ac_f in
      -) ac_f="$tmp/stdin";;
      *) # Look for the file first in the build tree, then in the source tree
	 # (if the path is not absolute).  The absolute path cannot be DOS-style,
	 # because $ac_f cannot contain `:'.
	 test -f "$ac_f" ||
	   case $ac_f in
	   [\\/$]*) false;;
	   *) test -f "$srcdir/$ac_f" && ac_f="$srcdir/$ac_f";;
	   esac ||
	   { { echo "$as_me:$LINENO: error: cannot find input file: $ac_f" >&5
echo "$as_me: error: cannot find input file: $ac_f" >&2;}
   { (exit 1); exit 1; }; };;
      esac
      ac_file_inputs="$ac_file_inputs $ac_f"
    done

    # Let's still pretend it is `configure' which instantiates (i.e., don't
    # use $as_me), people would be surprised to read:
    #    /* config.h.  Generated by config.status.  */
    configure_input="Generated from "`IFS=:
	  echo $* | sed 's|^[^:]*/||;s|:[^:]*/|, |g'`" by configure."
    if test x"$ac_file" != x-; then
      configure_input="$ac_file.  $configure_input"
      { echo "$as_me:$LINENO: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
    fi

    case $ac_tag in
    *:-:* | *:-) cat >"$tmp/stdin";;
    esac
    ;;
  esac

  ac_dir=`$as_dirname -- "$ac_file" ||
$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
	 X"$ac_file" : 'X\(//\)[^/]' \| \
	 X"$ac_file" : 'X\(//\)$' \| \
	 X"$ac_file" : 'X\(/\)' \| . 2>/dev/null ||
echo X"$ac_file" |
    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
	    s//\1/
	    q
	  }
	  /^X\(\/\/\)[^/].*/{
	    s//\1/
	    q
	  }
	  /^X\(\/\/\)$/{
	    s//\1/
	    q
	  }
	  /^X\(\/\).*/{
	    s//\1/
	    q
	  }
	  s/.*/./; q'`
  { as_dir="$ac_dir"
  case $as_dir in #(
  -*) as_dir=./$as_dir;;
  esac
  test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
    as_dirs=
    while :; do
      case $as_dir in #(
      *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
      *) as_qdir=$as_dir;;
      esac
      as_dirs="'$as_qdir' $as_dirs"
      as_dir=`$as_dirname -- "$as_dir" ||
$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
	 X"$as_dir" : 'X\(//\)[^/]' \| \
	 X"$as_dir" : 'X\(//\)$' \| \
	 X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
echo X"$as_dir" |
    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
	    s//\1/
	    q
	  }
	  /^X\(\/\/\)[^/].*/{
	    s//\1/
	    q
	  }
	  /^X\(\/\/\)$/{
	    s//\1/
	    q
	  }
	  /^X\(\/\).*/{
	    s//\1/
	    q
	  }
	  s/.*/./; q'`
      test -d "$as_dir" && break
    done
    test -z "$as_dirs" || eval "mkdir $as_dirs"
  } || test -d "$as_dir" || { { echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
echo "$as_me: error: cannot create directory $as_dir" >&2;}
   { (exit 1); exit 1; }; }; }
  ac_builddir=.

case "$ac_dir" in
.) ac_dir_suffix= ac_top_builddir_sub=. ac_top_build_prefix= ;;
*)
  ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
  # A ".." for each directory in $ac_dir_suffix.
  ac_top_builddir_sub=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,/..,g;s,/,,'`
  case $ac_top_builddir_sub in
  "") ac_top_builddir_sub=. ac_top_build_prefix= ;;
  *)  ac_top_build_prefix=$ac_top_builddir_sub/ ;;
  esac ;;
esac
ac_abs_top_builddir=$ac_pwd
ac_abs_builddir=$ac_pwd$ac_dir_suffix
# for backward compatibility:
ac_top_builddir=$ac_top_build_prefix

case $srcdir in
  .)  # We are building in place.
    ac_srcdir=.
    ac_top_srcdir=$ac_top_builddir_sub
    ac_abs_top_srcdir=$ac_pwd ;;
  [\\/]* | ?:[\\/]* )  # Absolute name.
    ac_srcdir=$srcdir$ac_dir_suffix;
    ac_top_srcdir=$srcdir
    ac_abs_top_srcdir=$srcdir ;;
  *) # Relative name.
    ac_srcdir=$ac_top_build_prefix$srcdir$ac_dir_suffix
    ac_top_srcdir=$ac_top_build_prefix$srcdir
    ac_abs_top_srcdir=$ac_pwd/$srcdir ;;
esac
ac_abs_srcdir=$ac_abs_top_srcdir$ac_dir_suffix


  case $ac_mode in
  :F)
  #
  # CONFIG_FILE
  #

  case $INSTALL in
  [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
  *) ac_INSTALL=$ac_top_build_prefix$INSTALL ;;
  esac
# If the template does not know about datarootdir, expand it.
# FIXME: This hack should be removed a few years after 2.60.
ac_datarootdir_hack=; ac_datarootdir_seen=

case `sed -n '/datarootdir/ {
  p
  q
}
/@datadir@/p
/@docdir@/p
/@infodir@/p
/@localedir@/p
/@mandir@/p
' $ac_file_inputs` in
*datarootdir*) ac_datarootdir_seen=yes;;
*@datadir@*|*@docdir@*|*@infodir@*|*@localedir@*|*@mandir@*)
  { echo "$as_me:$LINENO: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&5
echo "$as_me: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&2;}
  ac_datarootdir_hack='
  s&@datadir@&${datarootdir}&g
  s&@docdir@&${datarootdir}/doc/${PACKAGE}&g
  s&@infodir@&${datarootdir}/info&g
  s&@localedir@&${datarootdir}/locale&g
  s&@mandir@&${datarootdir}/man&g
    s&\${datarootdir}&${prefix}/share&g' ;;
esac
  sed "

:t
/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
s&@configure_input@&$configure_input&;t t
s&@top_builddir@&$ac_top_builddir_sub&;t t
s&@srcdir@&$ac_srcdir&;t t
s&@abs_srcdir@&$ac_abs_srcdir&;t t
s&@top_srcdir@&$ac_top_srcdir&;t t
s&@abs_top_srcdir@&$ac_abs_top_srcdir&;t t
s&@builddir@&$ac_builddir&;t t
s&@abs_builddir@&$ac_abs_builddir&;t t
s&@abs_top_builddir@&$ac_abs_top_builddir&;t t
s&@INSTALL@&$ac_INSTALL&;t t
$ac_datarootdir_hack
" $ac_file_inputs | sed -f "$tmp/subs-1.sed" | sed -f "$tmp/subs-2.sed" >$tmp/out

test -z "$ac_datarootdir_hack$ac_datarootdir_seen" &&
  { ac_out=`sed -n '/\${datarootdir}/p' "$tmp/out"`; test -n "$ac_out"; } &&
  { ac_out=`sed -n '/^[	 ]*datarootdir[	 ]*:*=/p' "$tmp/out"`; test -z "$ac_out"; } &&
  { echo "$as_me:$LINENO: WARNING: $ac_file contains a reference to the variable \`datarootdir'
which seems to be undefined.  Please make sure it is defined." >&5
echo "$as_me: WARNING: $ac_file contains a reference to the variable \`datarootdir'
which seems to be undefined.  Please make sure it is defined." >&2;}

  rm -f "$tmp/stdin"
  case $ac_file in
  -) cat "$tmp/out"; rm -f "$tmp/out";;
  *) rm -f "$ac_file"; mv "$tmp/out" $ac_file;;
  esac
 ;;
  :H)
  #
  # CONFIG_HEADER
  #
    # First, check the format of the line:
    cat >"$tmp/defines.sed" <<\CEOF
/^[	 ]*#[	 ]*undef[	 ][	 ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[	 ]*$/b def
/^[	 ]*#[	 ]*define[	 ][	 ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[(	 ]/b def
b
:def
s/$/ /
s,^\([	 #]*\)[^	 ]*\([	 ]*PACKAGE_NAME\)[	 (].*,\1define\2 "" ,
s,^\([	 #]*\)[^	 ]*\([	 ]*PACKAGE_TARNAME\)[	 (].*,\1define\2 "" ,
s,^\([	 #]*\)[^	 ]*\([	 ]*PACKAGE_VERSION\)[	 (].*,\1define\2 "" ,
s,^\([	 #]*\)[^	 ]*\([	 ]*PACKAGE_STRING\)[	 (].*,\1define\2 "" ,
s,^\([	 #]*\)[^	 ]*\([	 ]*PACKAGE_BUGREPORT\)[	 (].*,\1define\2 "" ,
s,^\([	 #]*\)[^	 ]*\([	 ]*PACKAGE\)[	 (].*,\1define\2 "axl" ,
s,^\([	 #]*\)[^	 ]*\([	 ]*VERSION\)[	 (].*,\1define\2 "" ,
s,^\([	 #]*\)[^	 ]*\([	 ]*STDC_HEADERS\)[	 (].*,\1define\2 1 ,
s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SYS_TYPES_H\)[	 (].*,\1define\2 1 ,
s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SYS_STAT_H\)[	 (].*,\1define\2 1 ,
s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STDLIB_H\)[	 (].*,\1define\2 1 ,
s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STRING_H\)[	 (].*,\1define\2 1 ,
s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_MEMORY_H\)[	 (].*,\1define\2 1 ,
s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STRINGS_H\)[	 (].*,\1define\2 1 ,
s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_INTTYPES_H\)[	 (].*,\1define\2 1 ,
s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STDINT_H\)[	 (].*,\1define\2 1 ,
s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_UNISTD_H\)[	 (].*,\1define\2 1 ,
s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_DLFCN_H\)[	 (].*,\1define\2 1 ,
s,^\([	 #]*\)[^	 ]*\([	 ]*SIZEOF_LONG\)[	 (].*,\1define\2 4 ,
s,^\([	 #]*\)[^	 ]*\([	 ]*SIZEOF_INT\)[	 (].*,\1define\2 4 ,
s,^\([	 #]*\)[^	 ]*\([	 ]*SIZEOF_VOID_P\)[	 (].*,\1define\2 4 ,
s/ $//
s,^[	 #]*u.*,/* & */,
CEOF
    sed -f "$tmp/defines.sed" $ac_file_inputs >"$tmp/out1"
ac_result="$tmp/out1"
  if test x"$ac_file" != x-; then
    echo "/* $configure_input  */" >"$tmp/config.h"
    cat "$ac_result" >>"$tmp/config.h"
    if diff $ac_file "$tmp/config.h" >/dev/null 2>&1; then
      { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
echo "$as_me: $ac_file is unchanged" >&6;}
    else
      rm -f $ac_file
      mv "$tmp/config.h" $ac_file
    fi
  else
    echo "/* $configure_input  */"
    cat "$ac_result"
  fi
  rm -f "$tmp/out12"
# Compute $ac_file's index in $config_headers.
_am_stamp_count=1
for _am_header in $config_headers :; do
  case $_am_header in
    $ac_file | $ac_file:* )
      break ;;
    * )
      _am_stamp_count=`expr $_am_stamp_count + 1` ;;
  esac
done
echo "timestamp for $ac_file" >`$as_dirname -- $ac_file ||
$as_expr X$ac_file : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
	 X$ac_file : 'X\(//\)[^/]' \| \
	 X$ac_file : 'X\(//\)$' \| \
	 X$ac_file : 'X\(/\)' \| . 2>/dev/null ||
echo X$ac_file |
    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
	    s//\1/
	    q
	  }
	  /^X\(\/\/\)[^/].*/{
	    s//\1/
	    q
	  }
	  /^X\(\/\/\)$/{
	    s//\1/
	    q
	  }
	  /^X\(\/\).*/{
	    s//\1/
	    q
	  }
	  s/.*/./; q'`/stamp-h$_am_stamp_count
 ;;

  :C)  { echo "$as_me:$LINENO: executing $ac_file commands" >&5
echo "$as_me: executing $ac_file commands" >&6;}
 ;;
  esac


  case $ac_file$ac_mode in
    "depfiles":C) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do
  # Strip MF so we end up with the name of the file.
  mf=`echo "$mf" | sed -e 's/:.*$//'`
  # Check whether this is an Automake generated Makefile or not.
  # We used to match only the files named `Makefile.in', but
  # some people rename them; so instead we look at the file content.
  # Grep'ing the first line is not enough: some people post-process
  # each Makefile.in and add a new line on top of each file to say so.
  # So let's grep whole file.
  if grep '^#.*generated by automake' $mf > /dev/null 2>&1; then
    dirpart=`$as_dirname -- "$mf" ||
$as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
	 X"$mf" : 'X\(//\)[^/]' \| \
	 X"$mf" : 'X\(//\)$' \| \
	 X"$mf" : 'X\(/\)' \| . 2>/dev/null ||
echo X"$mf" |
    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
	    s//\1/
	    q
	  }
	  /^X\(\/\/\)[^/].*/{
	    s//\1/
	    q
	  }
	  /^X\(\/\/\)$/{
	    s//\1/
	    q
	  }
	  /^X\(\/\).*/{
	    s//\1/
	    q
	  }
	  s/.*/./; q'`
  else
    continue
  fi
  # Extract the definition of DEPDIR, am__include, and am__quote
  # from the Makefile without running `make'.
  DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"`
  test -z "$DEPDIR" && continue
  am__include=`sed -n 's/^am__include = //p' < "$mf"`
  test -z "am__include" && continue
  am__quote=`sed -n 's/^am__quote = //p' < "$mf"`
  # When using ansi2knr, U may be empty or an underscore; expand it
  U=`sed -n 's/^U = //p' < "$mf"`
  # Find all dependency output files, they are included files with
  # $(DEPDIR) in their names.  We invoke sed twice because it is the
  # simplest approach to changing $(DEPDIR) to its actual value in the
  # expansion.
  for file in `sed -n "
    s/^$am__include $am__quote\(.*(DEPDIR).*\)$am__quote"'$/\1/p' <"$mf" | \
       sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
    # Make sure the directory exists.
    test -f "$dirpart/$file" && continue
    fdir=`$as_dirname -- "$file" ||
$as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
	 X"$file" : 'X\(//\)[^/]' \| \
	 X"$file" : 'X\(//\)$' \| \
	 X"$file" : 'X\(/\)' \| . 2>/dev/null ||
echo X"$file" |
    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
	    s//\1/
	    q
	  }
	  /^X\(\/\/\)[^/].*/{
	    s//\1/
	    q
	  }
	  /^X\(\/\/\)$/{
	    s//\1/
	    q
	  }
	  /^X\(\/\).*/{
	    s//\1/
	    q
	  }
	  s/.*/./; q'`
    { as_dir=$dirpart/$fdir
  case $as_dir in #(
  -*) as_dir=./$as_dir;;
  esac
  test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
    as_dirs=
    while :; do
      case $as_dir in #(
      *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
      *) as_qdir=$as_dir;;
      esac
      as_dirs="'$as_qdir' $as_dirs"
      as_dir=`$as_dirname -- "$as_dir" ||
$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
	 X"$as_dir" : 'X\(//\)[^/]' \| \
	 X"$as_dir" : 'X\(//\)$' \| \
	 X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
echo X"$as_dir" |
    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
	    s//\1/
	    q
	  }
	  /^X\(\/\/\)[^/].*/{
	    s//\1/
	    q
	  }
	  /^X\(\/\/\)$/{
	    s//\1/
	    q
	  }
	  /^X\(\/\).*/{
	    s//\1/
	    q
	  }
	  s/.*/./; q'`
      test -d "$as_dir" && break
    done
    test -z "$as_dirs" || eval "mkdir $as_dirs"
  } || test -d "$as_dir" || { { echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
echo "$as_me: error: cannot create directory $as_dir" >&2;}
   { (exit 1); exit 1; }; }; }
    # echo "creating $dirpart/$file"
    echo '# dummy' > "$dirpart/$file"
  done
done
 ;;
    "axl_config.h":C)
	outfile=axl_config.h-tmp
	cat > $outfile <<_______EOF
/*
 * Axl Library axl_config.h
 * Platform dependant definitions.
 *
 * This is a generated file.  Please modify 'configure.in'
 */

#ifndef __AXL_CONFIG_H__
#define __AXL_CONFIG_H__

/**
 * \addtogroup axl_decl_module
 * @{
 */

/**
 * @brief Allows to convert integer value (including constant values)
 * into a pointer representation.
 *
 * Use the oposite function to restore the value from a pointer to a
 * integer: \ref PTR_TO_INT.
 *
 * @param integer The integer value to cast to pointer.
 *
 * @return A \ref axlPointer reference.
 */
#define INT_TO_PTR(integer)   ((axlPointer) ${pti_cast} ((int)integer))

/**
 * @brief Allows to convert a pointer reference (\ref axlPointer),
 * which stores an integer that was stored using \ref INT_TO_PTR.
 *
 * Use the oposite function to restore the pointer value stored in the
 * integer value.
 *
 * @param ptr The pointer to cast to a integer value.
 *
 * @return A int value.
 */
#define PTR_TO_INT(ptr) ((int) ${pti_cast} (ptr))

/**
 * @brief Allows to get current platform configuration. This is used
 * by Axl library but could be used by applications built on top of
 * Axl to change its configuration based on the platform information.
 */
$axl_platform

$vasprintf_status

/* @} */

#endif
_______EOF

	# Check if the file exists and it is equal, if not, overwrite it
	if cmp -s $outfile src/axl_config.h; then
	  { echo "$as_me:$LINENO: axl_config.h is unchanged" >&5
echo "$as_me: axl_config.h is unchanged" >&6;}
	  rm -f $outfile
	else
	  mv $outfile src/axl_config.h
	fi
 ;;

  esac
done # for ac_tag


{ (exit 0); exit 0; }
-------------- next part --------------
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.

It was created by configure, which was
generated by GNU Autoconf 2.61.  Invocation command line was

  $ /home/jpicanyol/wd/sources/contrib/axl/configure --prefix=/shared/syst/arm9-linux-abtrack/package/host/aspl.es/axl-0.5.6 --host=armv4tl-unknown-linux-gnu

## --------- ##
## Platform. ##
## --------- ##

hostname = jpicanyol-dev.pxu.ielab
uname -m = i686
uname -r = 2.6.26-1-686
uname -s = Linux
uname -v = #1 SMP Fri Mar 13 18:08:45 UTC 2009

/usr/bin/uname -p = unknown
/bin/uname -X     = unknown

/bin/arch              = unknown
/usr/bin/arch -k       = unknown
/usr/convex/getsysinfo = unknown
/usr/bin/hostinfo      = unknown
/bin/machine           = unknown
/usr/bin/oslevel       = unknown
/bin/universe          = unknown

PATH: /usr/local/bin
PATH: /usr/bin
PATH: /bin
PATH: /usr/games


## ----------- ##
## Core tests. ##
## ----------- ##

configure:1996: checking for a BSD-compatible install
configure:2052: result: /usr/bin/install -c
configure:2063: checking whether build environment is sane
configure:2106: result: yes
configure:2171: checking for gawk
configure:2201: result: no
configure:2171: checking for mawk
configure:2187: found /usr/bin/mawk
configure:2198: result: mawk
configure:2209: checking whether make sets $(MAKE)
configure:2230: result: yes
configure:2306: checking for armv4tl-unknown-linux-gnu-strip
configure:2336: result: no
configure:2346: checking for strip
configure:2362: found /usr/bin/strip
configure:2373: result: strip
configure:2416: checking whether to enable maintainer-specific portions of Makefiles
configure:2425: result: no
configure:2449: checking for armv4tl-unknown-linux-gnu-gcc
configure:2479: result: no
configure:2489: checking for gcc
configure:2505: found /usr/bin/gcc
configure:2516: result: gcc
configure:2754: checking for C compiler version
configure:2761: gcc --version >&5
gcc (Debian 4.3.2-1.1) 4.3.2
Copyright (C) 2008 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

configure:2764: $? = 0
configure:2771: gcc -v >&5
Using built-in specs.
Target: i486-linux-gnu
Configured with: ../src/configure -v --with-pkgversion='Debian 4.3.2-1.1' --with-bugurl=file:///usr/share/doc/gcc-4.3/README.Bugs --enable-languages=c,c++,fortran,objc,obj-c++ --prefix=/usr --enable-shared --with-system-zlib --libexecdir=/usr/lib --without-included-gettext --enable-threads=posix --enable-nls --with-gxx-include-dir=/usr/include/c++/4.3 --program-suffix=-4.3 --enable-clocale=gnu --enable-libstdcxx-debug --enable-objc-gc --enable-mpfr --enable-targets=all --enable-cld --enable-checking=release --build=i486-linux-gnu --host=i486-linux-gnu --target=i486-linux-gnu
Thread model: posix
gcc version 4.3.2 (Debian 4.3.2-1.1) 
configure:2774: $? = 0
configure:2781: gcc -V >&5
gcc: '-V' option must have argument
configure:2784: $? = 1
configure:2807: checking for C compiler default output file name
configure:2834: gcc    conftest.c  >&5
configure:2837: $? = 0
configure:2875: result: a.out
configure:2892: checking whether the C compiler works
configure:2902: ./a.out
configure:2905: $? = 0
configure:2922: result: yes
configure:2929: checking whether we are cross compiling
configure:2931: result: no
configure:2934: checking for suffix of executables
configure:2941: gcc -o conftest    conftest.c  >&5
configure:2944: $? = 0
configure:2968: result: 
configure:2974: checking for suffix of object files
configure:3000: gcc -c   conftest.c >&5
configure:3003: $? = 0
configure:3026: result: o
configure:3030: checking whether we are using the GNU C compiler
configure:3059: gcc -c   conftest.c >&5
configure:3065: $? = 0
configure:3082: result: yes
configure:3087: checking whether gcc accepts -g
configure:3117: gcc -c -g  conftest.c >&5
configure:3123: $? = 0
configure:3222: result: yes
configure:3239: checking for gcc option to accept ISO C89
configure:3313: gcc  -c -g -O2  conftest.c >&5
configure:3319: $? = 0
configure:3342: result: none needed
configure:3371: checking for style of include used by make
configure:3399: result: GNU
configure:3427: checking dependency style of gcc
configure:3517: result: gcc3
configure:3535: checking for library containing strerror
configure:3576: gcc -o conftest -g -O2   conftest.c  >&5
configure:3582: $? = 0
configure:3610: result: none required
configure:3623: checking how to run the C preprocessor
configure:3663: gcc -E  conftest.c
configure:3669: $? = 0
configure:3700: gcc -E  conftest.c
conftest.c:10:28: error: ac_nonexistent.h: No such file or directory
configure:3706: $? = 1
configure: failed program was:
| /* confdefs.h.  */
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "axl"
| #define VERSION ""
| /* end confdefs.h.  */
| #include <ac_nonexistent.h>
configure:3739: result: gcc -E
configure:3768: gcc -E  conftest.c
configure:3774: $? = 0
configure:3805: gcc -E  conftest.c
conftest.c:10:28: error: ac_nonexistent.h: No such file or directory
configure:3811: $? = 1
configure: failed program was:
| /* confdefs.h.  */
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "axl"
| #define VERSION ""
| /* end confdefs.h.  */
| #include <ac_nonexistent.h>
configure:3849: checking for grep that handles long lines and -e
configure:3923: result: /bin/grep
configure:3928: checking for egrep
configure:4006: result: /bin/grep -E
configure:4011: checking for ANSI C header files
configure:4041: gcc -c -g -O2  conftest.c >&5
configure:4047: $? = 0
configure:4146: gcc -o conftest -g -O2   conftest.c  >&5
configure:4149: $? = 0
configure:4155: ./conftest
configure:4158: $? = 0
configure:4175: result: yes
configure:4263: checking build system type
configure:4281: result: i686-pc-linux-gnu
configure:4303: checking host system type
configure:4318: result: armv4tl-unknown-linux-gnu
configure:4340: checking for a sed that does not truncate output
configure:4396: result: /bin/sed
configure:4410: checking for ld used by gcc
configure:4477: result: /usr/bin/ld
configure:4486: checking if the linker (/usr/bin/ld) is GNU ld
configure:4501: result: yes
configure:4506: checking for /usr/bin/ld option to reload object files
configure:4513: result: -r
configure:4531: checking for BSD-compatible nm
configure:4580: result: nm
configure:4584: checking whether ln -s works
configure:4588: result: yes
configure:4595: checking how to recognize dependent libraries
configure:4781: result: pass_all
configure:5034: checking for sys/types.h
configure:5055: gcc -c -g -O2  conftest.c >&5
configure:5061: $? = 0
configure:5077: result: yes
configure:5034: checking for sys/stat.h
configure:5055: gcc -c -g -O2  conftest.c >&5
configure:5061: $? = 0
configure:5077: result: yes
configure:5034: checking for stdlib.h
configure:5055: gcc -c -g -O2  conftest.c >&5
configure:5061: $? = 0
configure:5077: result: yes
configure:5034: checking for string.h
configure:5055: gcc -c -g -O2  conftest.c >&5
configure:5061: $? = 0
configure:5077: result: yes
configure:5034: checking for memory.h
configure:5055: gcc -c -g -O2  conftest.c >&5
configure:5061: $? = 0
configure:5077: result: yes
configure:5034: checking for strings.h
configure:5055: gcc -c -g -O2  conftest.c >&5
configure:5061: $? = 0
configure:5077: result: yes
configure:5034: checking for inttypes.h
configure:5055: gcc -c -g -O2  conftest.c >&5
configure:5061: $? = 0
configure:5077: result: yes
configure:5034: checking for stdint.h
configure:5055: gcc -c -g -O2  conftest.c >&5
configure:5061: $? = 0
configure:5077: result: yes
configure:5034: checking for unistd.h
configure:5055: gcc -c -g -O2  conftest.c >&5
configure:5061: $? = 0
configure:5077: result: yes
configure:5104: checking dlfcn.h usability
configure:5121: gcc -c -g -O2  conftest.c >&5
configure:5127: $? = 0
configure:5141: result: yes
configure:5145: checking dlfcn.h presence
configure:5160: gcc -E  conftest.c
configure:5166: $? = 0
configure:5180: result: yes
configure:5208: checking for dlfcn.h
configure:5216: result: yes
configure:5243: checking for armv4tl-unknown-linux-gnu-g++
configure:5273: result: no
configure:5243: checking for armv4tl-unknown-linux-gnu-c++
configure:5273: result: no
configure:5243: checking for armv4tl-unknown-linux-gnu-gpp
configure:5273: result: no
configure:5243: checking for armv4tl-unknown-linux-gnu-aCC
configure:5273: result: no
configure:5243: checking for armv4tl-unknown-linux-gnu-CC
configure:5273: result: no
configure:5243: checking for armv4tl-unknown-linux-gnu-cxx
configure:5273: result: no
configure:5243: checking for armv4tl-unknown-linux-gnu-cc++
configure:5273: result: no
configure:5243: checking for armv4tl-unknown-linux-gnu-cl.exe
configure:5273: result: no
configure:5243: checking for armv4tl-unknown-linux-gnu-FCC
configure:5273: result: no
configure:5243: checking for armv4tl-unknown-linux-gnu-KCC
configure:5273: result: no
configure:5243: checking for armv4tl-unknown-linux-gnu-RCC
configure:5273: result: no
configure:5243: checking for armv4tl-unknown-linux-gnu-xlC_r
configure:5273: result: no
configure:5243: checking for armv4tl-unknown-linux-gnu-xlC
configure:5273: result: no
configure:5287: checking for g++
configure:5317: result: no
configure:5287: checking for c++
configure:5317: result: no
configure:5287: checking for gpp
configure:5317: result: no
configure:5287: checking for aCC
configure:5317: result: no
configure:5287: checking for CC
configure:5317: result: no
configure:5287: checking for cxx
configure:5317: result: no
configure:5287: checking for cc++
configure:5317: result: no
configure:5287: checking for cl.exe
configure:5317: result: no
configure:5287: checking for FCC
configure:5317: result: no
configure:5287: checking for KCC
configure:5317: result: no
configure:5287: checking for RCC
configure:5317: result: no
configure:5287: checking for xlC_r
configure:5317: result: no
configure:5287: checking for xlC
configure:5317: result: no
configure:5345: checking for C++ compiler version
configure:5352: g++ --version >&5
/home/jpicanyol/wd/sources/contrib/axl/configure: line 5353: g++: command not found
configure:5355: $? = 127
configure:5362: g++ -v >&5
/home/jpicanyol/wd/sources/contrib/axl/configure: line 5363: g++: command not found
configure:5365: $? = 127
configure:5372: g++ -V >&5
/home/jpicanyol/wd/sources/contrib/axl/configure: line 5373: g++: command not found
configure:5375: $? = 127
configure:5378: checking whether we are using the GNU C++ compiler
configure:5407: g++ -c   conftest.cpp >&5
/home/jpicanyol/wd/sources/contrib/axl/configure: line 5408: g++: command not found
configure:5413: $? = 127
configure: failed program was:
| /* confdefs.h.  */
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "axl"
| #define VERSION ""
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| /* end confdefs.h.  */
| 
| int
| main ()
| {
| #ifndef __GNUC__
|        choke me
| #endif
| 
|   ;
|   return 0;
| }
configure:5430: result: no
configure:5435: checking whether g++ accepts -g
configure:5465: g++ -c -g  conftest.cpp >&5
/home/jpicanyol/wd/sources/contrib/axl/configure: line 5466: g++: command not found
configure:5471: $? = 127
configure: failed program was:
| /* confdefs.h.  */
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "axl"
| #define VERSION ""
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| /* end confdefs.h.  */
| 
| int
| main ()
| {
| 
|   ;
|   return 0;
| }
configure:5503: g++ -c   conftest.cpp >&5
/home/jpicanyol/wd/sources/contrib/axl/configure: line 5504: g++: command not found
configure:5509: $? = 127
configure: failed program was:
| /* confdefs.h.  */
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "axl"
| #define VERSION ""
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| /* end confdefs.h.  */
| 
| int
| main ()
| {
| 
|   ;
|   return 0;
| }
configure:5542: g++ -c -g  conftest.cpp >&5
/home/jpicanyol/wd/sources/contrib/axl/configure: line 5543: g++: command not found
configure:5548: $? = 127
configure: failed program was:
| /* confdefs.h.  */
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "axl"
| #define VERSION ""
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| /* end confdefs.h.  */
| 
| int
| main ()
| {
| 
|   ;
|   return 0;
| }
configure:5570: result: no
configure:5595: checking dependency style of g++
configure:5685: result: none
configure:5945: checking for armv4tl-unknown-linux-gnu-g77
configure:5975: result: no
configure:5945: checking for armv4tl-unknown-linux-gnu-xlf
configure:5975: result: no
configure:5945: checking for armv4tl-unknown-linux-gnu-f77
configure:5975: result: no
configure:5945: checking for armv4tl-unknown-linux-gnu-frt
configure:5975: result: no
configure:5945: checking for armv4tl-unknown-linux-gnu-pgf77
configure:5975: result: no
configure:5945: checking for armv4tl-unknown-linux-gnu-cf77
configure:5975: result: no
configure:5945: checking for armv4tl-unknown-linux-gnu-fort77
configure:5975: result: no
configure:5945: checking for armv4tl-unknown-linux-gnu-fl32
configure:5975: result: no
configure:5945: checking for armv4tl-unknown-linux-gnu-af77
configure:5975: result: no
configure:5945: checking for armv4tl-unknown-linux-gnu-xlf90
configure:5975: result: no
configure:5945: checking for armv4tl-unknown-linux-gnu-f90
configure:5975: result: no
configure:5945: checking for armv4tl-unknown-linux-gnu-pgf90
configure:5975: result: no
configure:5945: checking for armv4tl-unknown-linux-gnu-pghpf
configure:5975: result: no
configure:5945: checking for armv4tl-unknown-linux-gnu-epcf90
configure:5975: result: no
configure:5945: checking for armv4tl-unknown-linux-gnu-gfortran
configure:5975: result: no
configure:5945: checking for armv4tl-unknown-linux-gnu-g95
configure:5975: result: no
configure:5945: checking for armv4tl-unknown-linux-gnu-xlf95
configure:5975: result: no
configure:5945: checking for armv4tl-unknown-linux-gnu-f95
configure:5975: result: no
configure:5945: checking for armv4tl-unknown-linux-gnu-fort
configure:5975: result: no
configure:5945: checking for armv4tl-unknown-linux-gnu-ifort
configure:5975: result: no
configure:5945: checking for armv4tl-unknown-linux-gnu-ifc
configure:5975: result: no
configure:5945: checking for armv4tl-unknown-linux-gnu-efc
configure:5975: result: no
configure:5945: checking for armv4tl-unknown-linux-gnu-pgf95
configure:5975: result: no
configure:5945: checking for armv4tl-unknown-linux-gnu-lf95
configure:5975: result: no
configure:5945: checking for armv4tl-unknown-linux-gnu-ftn
configure:5975: result: no
configure:5989: checking for g77
configure:6019: result: no
configure:5989: checking for xlf
configure:6019: result: no
configure:5989: checking for f77
configure:6019: result: no
configure:5989: checking for frt
configure:6019: result: no
configure:5989: checking for pgf77
configure:6019: result: no
configure:5989: checking for cf77
configure:6019: result: no
configure:5989: checking for fort77
configure:6019: result: no
configure:5989: checking for fl32
configure:6019: result: no
configure:5989: checking for af77
configure:6019: result: no
configure:5989: checking for xlf90
configure:6019: result: no
configure:5989: checking for f90
configure:6019: result: no
configure:5989: checking for pgf90
configure:6019: result: no
configure:5989: checking for pghpf
configure:6019: result: no
configure:5989: checking for epcf90
configure:6019: result: no
configure:5989: checking for gfortran
configure:6019: result: no
configure:5989: checking for g95
configure:6019: result: no
configure:5989: checking for xlf95
configure:6019: result: no
configure:5989: checking for f95
configure:6019: result: no
configure:5989: checking for fort
configure:6019: result: no
configure:5989: checking for ifort
configure:6019: result: no
configure:5989: checking for ifc
configure:6019: result: no
configure:5989: checking for efc
configure:6019: result: no
configure:5989: checking for pgf95
configure:6019: result: no
configure:5989: checking for lf95
configure:6019: result: no
configure:5989: checking for ftn
configure:6019: result: no
configure:6046: checking for Fortran 77 compiler version
configure:6053:  --version >&5
/home/jpicanyol/wd/sources/contrib/axl/configure: line 6054: --version: command not found
configure:6056: $? = 127
configure:6063:  -v >&5
/home/jpicanyol/wd/sources/contrib/axl/configure: line 6064: -v: command not found
configure:6066: $? = 127
configure:6073:  -V >&5
/home/jpicanyol/wd/sources/contrib/axl/configure: line 6074: -V: command not found
configure:6076: $? = 127
configure:6084: checking whether we are using the GNU Fortran 77 compiler
configure:6103:  -c  conftest.F >&5
/home/jpicanyol/wd/sources/contrib/axl/configure: line 6104: -c: command not found
configure:6109: $? = 127
configure: failed program was:
|       program main
| #ifndef __GNUC__
|        choke me
| #endif
| 
|       end
configure:6126: result: no
configure:6132: checking whether  accepts -g
configure:6149:  -c -g conftest.f >&5
/home/jpicanyol/wd/sources/contrib/axl/configure: line 6150: -c: command not found
configure:6155: $? = 127
configure: failed program was:
|       program main
| 
|       end
configure:6171: result: no
configure:6200: checking the maximum length of command line arguments
configure:6312: result: 98304
configure:6324: checking command to parse nm output from gcc object
configure:6429: gcc -c -g -O2  conftest.c >&5
configure:6432: $? = 0
configure:6436: nm conftest.o \| sed -n -e 's/^.*[ 	]\([ABCDGIRSTW][ABCDGIRSTW]*\)[ 	][ 	]*\([_A-Za-z][_A-Za-z0-9]*\)$/\1 \2 \2/p' \> conftest.nm
configure:6439: $? = 0
configure:6491: gcc -o conftest -g -O2   conftest.c conftstm.o >&5
configure:6494: $? = 0
configure:6532: result: ok
configure:6536: checking for objdir
configure:6551: result: .libs
configure:6603: checking for armv4tl-unknown-linux-gnu-ar
configure:6633: result: no
configure:6643: checking for ar
configure:6659: found /usr/bin/ar
configure:6670: result: ar
configure:6699: checking for armv4tl-unknown-linux-gnu-ranlib
configure:6729: result: no
configure:6739: checking for ranlib
configure:6755: found /usr/bin/ranlib
configure:6766: result: ranlib
configure:6795: checking for armv4tl-unknown-linux-gnu-strip
configure:6822: result: strip
configure:7460: checking if gcc supports -fno-rtti -fno-exceptions
configure:7478: gcc -c -g -O2  -fno-rtti -fno-exceptions conftest.c >&5
cc1: warning: command line option "-fno-rtti" is valid for C++/ObjC++ but not for C
configure:7482: $? = 0
configure:7495: result: no
configure:7510: checking for gcc option to produce PIC
configure:7742: result: -fPIC
configure:7750: checking if gcc PIC flag -fPIC works
configure:7768: gcc -c -g -O2  -fPIC -DPIC conftest.c >&5
configure:7772: $? = 0
configure:7785: result: yes
configure:7813: checking if gcc static flag -static works
configure:7841: result: yes
configure:7851: checking if gcc supports -c -o file.o
configure:7872: gcc -c -g -O2  -o out/conftest2.o conftest.c >&5
configure:7876: $? = 0
configure:7898: result: yes
configure:7924: checking whether the gcc linker (/usr/bin/ld) supports shared libraries
configure:8905: result: yes
configure:8926: checking whether -lc should be explicitly linked in
configure:8931: gcc -c -g -O2  conftest.c >&5
configure:8934: $? = 0
configure:8949: gcc -shared conftest.o  -v -Wl,-soname -Wl,conftest -o conftest 2\>\&1 \| grep  -lc  \>/dev/null 2\>\&1
configure:8952: $? = 0
configure:8964: result: no
configure:8972: checking dynamic linker characteristics
configure:9586: result: GNU/Linux ld.so
configure:9610: checking how to hardcode library paths into programs
configure:9635: result: immediate
configure:9649: checking whether stripping libraries is possible
configure:9654: result: yes
configure:10456: checking if libtool supports shared libraries
configure:10458: result: yes
configure:10461: checking whether to build shared libraries
configure:10482: result: yes
configure:10485: checking whether to build static libraries
configure:10489: result: yes
configure:10583: creating libtool
configure:19862: checking for long
configure:19892: gcc -c -g -O2  conftest.c >&5
configure:19898: $? = 0
configure:19913: result: yes
configure:19920: checking size of long
configure:20222: gcc -o conftest -g -O2   conftest.c  >&5
configure:20225: $? = 0
configure:20231: ./conftest
configure:20234: $? = 0
configure:20257: result: 4
configure:20267: checking for int
configure:20297: gcc -c -g -O2  conftest.c >&5
configure:20303: $? = 0
configure:20318: result: yes
configure:20325: checking size of int
configure:20627: gcc -o conftest -g -O2   conftest.c  >&5
configure:20630: $? = 0
configure:20636: ./conftest
configure:20639: $? = 0
configure:20662: result: 4
configure:20672: checking for void *
configure:20702: gcc -c -g -O2  conftest.c >&5
configure:20708: $? = 0
configure:20723: result: yes
configure:20730: checking size of void *
configure:21032: gcc -o conftest -g -O2   conftest.c  >&5
configure:21035: $? = 0
configure:21041: ./conftest
configure:21044: $? = 0
configure:21067: result: 4
configure:21091: checking for doxygen
configure:21119: result: no
configure:21256: gcc -o conftest -g -O2   conftest.c  >&5
configure:21262: $? = 0
configure:21477: creating ./config.status

## ---------------------- ##
## Running config.status. ##
## ---------------------- ##

This file was extended by config.status, which was
generated by GNU Autoconf 2.61.  Invocation command line was

  CONFIG_FILES    = 
  CONFIG_HEADERS  = 
  CONFIG_LINKS    = 
  CONFIG_COMMANDS = 
  $ ./config.status 

on jpicanyol-dev.pxu.ielab

config.status:736: creating Makefile
config.status:736: creating src/Makefile
config.status:736: creating ns/Makefile
config.status:736: creating doc/Makefile
config.status:736: creating doc/axl-doc.doxygen
config.status:736: creating babel/Makefile
config.status:736: creating test/Makefile
config.status:736: creating knife/Makefile
config.status:736: creating axl.pc
config.status:736: creating axl-ns.pc
config.status:736: creating axl-babel.pc
config.status:736: creating config.h
config.status:999: executing depfiles commands
config.status:999: executing axl_config.h commands

## ---------------- ##
## Cache variables. ##
## ---------------- ##

ac_cv_build=i686-pc-linux-gnu
ac_cv_c_compiler_gnu=yes
ac_cv_cxx_compiler_gnu=no
ac_cv_env_CCC_set=
ac_cv_env_CCC_value=
ac_cv_env_CC_set=
ac_cv_env_CC_value=
ac_cv_env_CFLAGS_set=
ac_cv_env_CFLAGS_value=
ac_cv_env_CPPFLAGS_set=
ac_cv_env_CPPFLAGS_value=
ac_cv_env_CPP_set=
ac_cv_env_CPP_value=
ac_cv_env_CXXCPP_set=
ac_cv_env_CXXCPP_value=
ac_cv_env_CXXFLAGS_set=
ac_cv_env_CXXFLAGS_value=
ac_cv_env_CXX_set=
ac_cv_env_CXX_value=
ac_cv_env_F77_set=
ac_cv_env_F77_value=
ac_cv_env_FFLAGS_set=
ac_cv_env_FFLAGS_value=
ac_cv_env_LDFLAGS_set=
ac_cv_env_LDFLAGS_value=
ac_cv_env_LIBS_set=
ac_cv_env_LIBS_value=
ac_cv_env_build_alias_set=
ac_cv_env_build_alias_value=
ac_cv_env_host_alias_set=set
ac_cv_env_host_alias_value=armv4tl-unknown-linux-gnu
ac_cv_env_target_alias_set=
ac_cv_env_target_alias_value=
ac_cv_f77_compiler_gnu=no
ac_cv_header_dlfcn_h=yes
ac_cv_header_inttypes_h=yes
ac_cv_header_memory_h=yes
ac_cv_header_stdc=yes
ac_cv_header_stdint_h=yes
ac_cv_header_stdlib_h=yes
ac_cv_header_string_h=yes
ac_cv_header_strings_h=yes
ac_cv_header_sys_stat_h=yes
ac_cv_header_sys_types_h=yes
ac_cv_header_unistd_h=yes
ac_cv_host=armv4tl-unknown-linux-gnu
ac_cv_objext=o
ac_cv_path_EGREP='/bin/grep -E'
ac_cv_path_GREP=/bin/grep
ac_cv_path_install='/usr/bin/install -c'
ac_cv_prog_AWK=mawk
ac_cv_prog_CPP='gcc -E'
ac_cv_prog_DOXYGEN=no
ac_cv_prog_STRIP=strip
ac_cv_prog_ac_ct_AR=ar
ac_cv_prog_ac_ct_CC=gcc
ac_cv_prog_ac_ct_RANLIB=ranlib
ac_cv_prog_ac_ct_STRIP=strip
ac_cv_prog_cc_c89=
ac_cv_prog_cc_g=yes
ac_cv_prog_cxx_g=no
ac_cv_prog_f77_g=no
ac_cv_prog_make_make_set=yes
ac_cv_search_strerror='none required'
ac_cv_sizeof_int=4
ac_cv_sizeof_long=4
ac_cv_sizeof_void_p=4
ac_cv_type_int=yes
ac_cv_type_long=yes
ac_cv_type_void_p=yes
am_cv_CC_dependencies_compiler_type=gcc3
am_cv_CXX_dependencies_compiler_type=none
lt_cv_deplibs_check_method=pass_all
lt_cv_file_magic_cmd='$MAGIC_CMD'
lt_cv_file_magic_test_file=
lt_cv_ld_reload_flag=-r
lt_cv_objdir=.libs
lt_cv_path_LD=/usr/bin/ld
lt_cv_path_NM=nm
lt_cv_path_SED=/bin/sed
lt_cv_prog_compiler_c_o=yes
lt_cv_prog_compiler_pic_works=yes
lt_cv_prog_compiler_rtti_exceptions=no
lt_cv_prog_compiler_static_works=yes
lt_cv_prog_gnu_ld=yes
lt_cv_sys_global_symbol_pipe='sed -n -e '\''s/^.*[ 	]\([ABCDGIRSTW][ABCDGIRSTW]*\)[ 	][ 	]*\([_A-Za-z][_A-Za-z0-9]*\)$/\1 \2 \2/p'\'''
lt_cv_sys_global_symbol_to_c_name_address='sed -n -e '\''s/^: \([^ ]*\) $/  {\"\1\", (lt_ptr) 0},/p'\'' -e '\''s/^[BCDEGRST] \([^ ]*\) \([^ ]*\)$/  {"\2", (lt_ptr) \&\2},/p'\'''
lt_cv_sys_global_symbol_to_cdecl='sed -n -e '\''s/^. .* \(.*\)$/extern int \1;/p'\'''
lt_cv_sys_lib_dlsearch_path_spec='/lib /usr/lib /lib/i486-linux-gnu /usr/lib/i486-linux-gnu /usr/local/lib '
lt_cv_sys_lib_search_path_spec='/usr/lib/gcc/i486-linux-gnu/4.3.2 /usr/lib /lib'
lt_cv_sys_max_cmd_len=98304
lt_lt_cv_prog_compiler_c_o='"yes"'
lt_lt_cv_sys_global_symbol_pipe='"sed -n -e '\''s/^.*[ 	]\\([ABCDGIRSTW][ABCDGIRSTW]*\\)[ 	][ 	]*\\([_A-Za-z][_A-Za-z0-9]*\\)\$/\\1 \\2 \\2/p'\''"'
lt_lt_cv_sys_global_symbol_to_c_name_address='"sed -n -e '\''s/^: \\([^ ]*\\) \$/  {\\\"\\1\\\", (lt_ptr) 0},/p'\'' -e '\''s/^[BCDEGRST] \\([^ ]*\\) \\([^ ]*\\)\$/  {\"\\2\", (lt_ptr) \\&\\2},/p'\''"'
lt_lt_cv_sys_global_symbol_to_cdecl='"sed -n -e '\''s/^. .* \\(.*\\)\$/extern int \\1;/p'\''"'

## ----------------- ##
## Output variables. ##
## ----------------- ##

ACLOCAL='${SHELL} /home/jpicanyol/wd/sources/contrib/axl/missing --run aclocal-1.9'
AMDEPBACKSLASH='\'
AMDEP_FALSE='#'
AMDEP_TRUE=''
AMTAR='${SHELL} /home/jpicanyol/wd/sources/contrib/axl/missing --run tar'
AR='ar'
AUTOCONF='${SHELL} /home/jpicanyol/wd/sources/contrib/axl/missing --run autoconf'
AUTOHEADER='${SHELL} /home/jpicanyol/wd/sources/contrib/axl/missing --run autoheader'
AUTOMAKE='${SHELL} /home/jpicanyol/wd/sources/contrib/axl/missing --run automake-1.9'
AWK='mawk'
AXL_VERSION=''
CC='gcc'
CCDEPMODE='depmode=gcc3'
CFLAGS='-g -O2'
CPP='gcc -E'
CPPFLAGS=''
CXX='g++'
CXXCPP=''
CXXDEPMODE='depmode=none'
CXXFLAGS=''
CYGPATH_W='echo'
DEFS='-DHAVE_CONFIG_H'
DEPDIR='.deps'
DOXYGEN='no'
DSYMUTIL=''
ECHO='echo'
ECHO_C=''
ECHO_N='-n'
ECHO_T=''
EGREP='/bin/grep -E'
ENABLE_AF_ARCH_DOC_FALSE=''
ENABLE_AF_ARCH_DOC_TRUE='#'
ENABLE_AXL_BABEL_FALSE='#'
ENABLE_AXL_BABEL_TRUE=''
ENABLE_AXL_KNIFE_FALSE='#'
ENABLE_AXL_KNIFE_TRUE=''
ENABLE_AXL_LOG_FALSE='#'
ENABLE_AXL_LOG_TRUE=''
ENABLE_AXL_NS_FALSE='#'
ENABLE_AXL_NS_TRUE=''
ENABLE_AXL_TESTS_FALSE='#'
ENABLE_AXL_TESTS_TRUE=''
EXARG_FLAGS='-DHAVE_VASPRINTF '
EXEEXT=''
F77=''
FFLAGS=''
GREP='/bin/grep'
INSTALL_DATA='${INSTALL} -m 644'
INSTALL_PROGRAM='${INSTALL}'
INSTALL_SCRIPT='${INSTALL}'
INSTALL_STRIP_PROGRAM='${SHELL} $(install_sh) -c -s'
LDFLAGS=''
LIBOBJS=''
LIBS=''
LIBTOOL='$(SHELL) $(top_builddir)/libtool'
LN_S='ln -s'
LTLIBOBJS=''
MAINT='#'
MAINTAINER_MODE_FALSE=''
MAINTAINER_MODE_TRUE='#'
MAKEINFO='${SHELL} /home/jpicanyol/wd/sources/contrib/axl/missing --run makeinfo'
NMEDIT=''
OBJEXT='o'
PACKAGE='axl'
PACKAGE_BUGREPORT=''
PACKAGE_NAME=''
PACKAGE_STRING=''
PACKAGE_TARNAME=''
PACKAGE_VERSION=''
PATH_SEPARATOR=':'
RANLIB='ranlib'
SED='/bin/sed'
SET_MAKE=''
SHELL='/bin/sh'
STRIP='strip'
VERSION=''
ac_ct_CC='gcc'
ac_ct_CXX=''
ac_ct_F77=''
am__fastdepCC_FALSE='#'
am__fastdepCC_TRUE=''
am__fastdepCXX_FALSE=''
am__fastdepCXX_TRUE='#'
am__include='include'
am__leading_dot='.'
am__quote=''
am__tar='${AMTAR} chof - "$$tardir"'
am__untar='${AMTAR} xf -'
bindir='${exec_prefix}/bin'
build='i686-pc-linux-gnu'
build_alias=''
build_cpu='i686'
build_os='linux-gnu'
build_vendor='pc'
datadir='${datarootdir}'
datarootdir='${prefix}/share'
docdir='${datarootdir}/doc/${PACKAGE}'
dvidir='${docdir}'
exec_prefix='${prefix}'
host='armv4tl-unknown-linux-gnu'
host_alias='armv4tl-unknown-linux-gnu'
host_cpu='armv4tl'
host_os='linux-gnu'
host_vendor='unknown'
htmldir='${docdir}'
includedir='${prefix}/include'
infodir='${datarootdir}/info'
install_sh='/home/jpicanyol/wd/sources/contrib/axl/install-sh'
libdir='${exec_prefix}/lib'
libexecdir='${exec_prefix}/libexec'
localedir='${datarootdir}/locale'
localstatedir='${prefix}/var'
mandir='${datarootdir}/man'
mkdir_p='mkdir -p --'
oldincludedir='/usr/include'
pdfdir='${docdir}'
prefix='/shared/syst/arm9-linux-abtrack/package/host/aspl.es/axl-0.5.6'
program_transform_name='s,x,x,'
psdir='${docdir}'
sbindir='${exec_prefix}/sbin'
sharedstatedir='${prefix}/com'
sysconfdir='${prefix}/etc'
target_alias=''

## ----------- ##
## confdefs.h. ##
## ----------- ##

#define PACKAGE_NAME ""
#define PACKAGE_TARNAME ""
#define PACKAGE_VERSION ""
#define PACKAGE_STRING ""
#define PACKAGE_BUGREPORT ""
#define PACKAGE "axl"
#define VERSION ""
#define STDC_HEADERS 1
#define HAVE_SYS_TYPES_H 1
#define HAVE_SYS_STAT_H 1
#define HAVE_STDLIB_H 1
#define HAVE_STRING_H 1
#define HAVE_MEMORY_H 1
#define HAVE_STRINGS_H 1
#define HAVE_INTTYPES_H 1
#define HAVE_STDINT_H 1
#define HAVE_UNISTD_H 1
#define HAVE_DLFCN_H 1
#define SIZEOF_LONG 4
#define SIZEOF_INT 4
#define SIZEOF_VOID_P 4

configure: exit 0


More information about the Axl mailing list